-- SETTINGS PLAY FATALITY SOUND
function GoH_Settings_MenuButton_PlayFatalitySound_OnClick()
	    if GoHv5_DeathKnight_Data.config.Menu_Fatality_Sound == "NO" then
	    	GoHv5_DeathKnight_Data.config.Menu_Fatality_Sound = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Fatality_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Menu_Fatality_Sound = "NO"
	    	PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS PLAY FIGHT MUSIC
function GoH_Settings_MenuButton_PlayFightMusic_OnClick()
	    if GoHv5_DeathKnight_Data.config.Menu_Fight_Music == "NO" then
	    	GoHv5_DeathKnight_Data.config.Menu_Fight_Music = "YES"
	    	PlaySound("igMainMenuOptionCheckBoxOn");
	    else
	    	GoHv5_DeathKnight_Data.config.Menu_Fight_Music = "NO"
	    	PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS PLAY FIGHT SOUND
function GoH_Settings_MenuButton_PlayFightSound_OnClick()
	    if GoHv5_DeathKnight_Data.config.Menu_Fight_Sound == "NO" then
	    	GoHv5_DeathKnight_Data.config.Menu_Fight_Sound = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Fight_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Menu_Fight_Sound = "NO"
	    	PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS PLAY OPEN AND CLOSE MENU SOUNDS
function GoH_Settings_MenuButton_PlayOpenAndCloseSound_OnClick()
	    if GoHv5_DeathKnight_Data.config.Menu_OpenClose_Sounds == "NO" then
	    	GoHv5_DeathKnight_Data.config.Menu_OpenClose_Sounds = "YES"
	    	PlaySoundFile("Sound\\Creature\\AlgalonTheObserver\\UR_Algalon_Special02.ogg","Master")
	    else
	    	GoHv5_DeathKnight_Data.config.Menu_OpenClose_Sounds = "NO"
	    	PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end


-- HUMAN RACIAL: EVERY MAN FOR HIMSELF
function GoH_Settings_MenuButton_PlayEveryManForHimself_OnClick()
	    if GoHv5_DeathKnight_Data.config.Every_Man_For_Himself == "NO" then
	    	GoHv5_DeathKnight_Data.config.Every_Man_For_Himself = "YES"
			PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\You_Are_Nothing_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.Every_Man_For_Himself = "NO"
	    	PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end


-- NIGHTELF RACIAL: SHADOWMELD
function GoH_Settings_MenuButton_PlayShadowMeld_OnClick()
	    if GoHv5_DeathKnight_Data.config.NightElf_Racial_Shadowmeld == "NO" then
	    	GoHv5_DeathKnight_Data.config.NightElf_Racial_Shadowmeld = "YES"
			PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Camouflage.mp3","Master");
	    else
	    	GoHv5_DeathKnight_Data.config.NightElf_Racial_Shadowmeld = "NO"
	    	PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS AUTO-DECLINE GUILD INVITES
function GoH_Settings_AutoDecline_Guild_Invites_OnClick()

		-- INTERACT WITH MAIN BLIZZARD MENU OPTION
		local value = ((GetAutoDeclineGuildInvites() and "1") or "0")
		-- print(value);
		if ( value == "1" ) then
			PlaySound("igMainMenuOptionCheckBoxOff");
			SetAutoDeclineGuildInvites(0);
		else
			PlaySound("igMainMenuOptionCheckBoxOn");
			SetAutoDeclineGuildInvites(1);
		end

	-- REFRESH TEXT AND BUTTON IMAGES
	doSet_Menu_Button_Images();
end

-- SETTINGS AUTO-DECLINE TRADE REQUESTS
function GoH_Settings_AutoDecline_Trade_Requests_OnClick()

		if GetCVar("BlockTrades") == "0" then
			PlaySound("igMainMenuOptionCheckBoxOn");
			SetCVar("BlockTrades", 1);
		elseif GetCVar("BlockTrades") == "1" then
			PlaySound("igMainMenuOptionCheckBoxOff");
			SetCVar("BlockTrades", 0);
		end

	-- REFRESH TEXT AND BUTTON IMAGES
	doSet_Menu_Button_Images();
end

-- SETTINGS AUTO-DECLINE CHARTER PETITION REQUESTS
function GoH_Settings_AutoDecline_Charter_Petition_Requests_OnClick()

	if GoHv5_DeathKnight_Data.config.Block_Charter_Petitions == "NO" then
		GoHv5_DeathKnight_Data.config.Block_Charter_Petitions = "YES";
		PlaySound("igMainMenuOptionCheckBoxOn");
	else
		GoHv5_DeathKnight_Data.config.Block_Charter_Petitions = "NO";
		PlaySound("igMainMenuOptionCheckBoxOff");
	end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS AUTO-DECLINE GROUP PARTY INVITE REQUESTS
function GoH_Settings_AutoDecline_Party_Invites_Requests_OnClick()

	if GoHv5_DeathKnight_Data.config.Block_Party_Invites == "NO" then
		GoHv5_DeathKnight_Data.config.Block_Party_Invites = "YES";
		PlaySound("igMainMenuOptionCheckBoxOn");
	else
		GoHv5_DeathKnight_Data.config.Block_Party_Invites = "NO";
		PlaySound("igMainMenuOptionCheckBoxOff");
	end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS AUTO-DECLINE ARENA TEAM INVITE REQUESTS
function GoH_Settings_AutoDecline_Arena_Team_Invites_Requests_OnClick()

	if GoHv5_DeathKnight_Data.config.Block_Arena_Invites == "NO" then
		GoHv5_DeathKnight_Data.config.Block_Arena_Invites = "YES";
		PlaySound("igMainMenuOptionCheckBoxOn");
	else
		GoHv5_DeathKnight_Data.config.Block_Arena_Invites = "NO";
		PlaySound("igMainMenuOptionCheckBoxOff");
	end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS AUTO-DECLINE DUEL REQUESTS
function GoH_Settings_AutoDecline_Duel_Requests_OnClick()

	if GoHv5_DeathKnight_Data.config.Block_Duel_Requests == "NO" then
		GoHv5_DeathKnight_Data.config.Block_Duel_Requests = "YES";
		PlaySound("igMainMenuOptionCheckBoxOn");
	else
		GoHv5_DeathKnight_Data.config.Block_Duel_Requests = "NO";
		PlaySound("igMainMenuOptionCheckBoxOff");
	end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end

-- SETTINGS AUTO-DECLINE WHISPER REPLY REQUESTS
function GoH_Settings_AutoDecline_Whisper_Reply_OnClick()

	GoH5_DeathKnight_SavedVariables();

	if GoHv5_DeathKnight_Data.config.Send_AutoDecline_Whisper == "NO" then
		GoHv5_DeathKnight_Data.config.Send_AutoDecline_Whisper = "YES";
		PlaySound("igMainMenuOptionCheckBoxOn");
	else
		GoHv5_DeathKnight_Data.config.Send_AutoDecline_Whisper = "NO";
		PlaySound("igMainMenuOptionCheckBoxOff");
	end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_AutoDecline_Whisper_Reply_Images();
end

-- SETTINGS OPTION:  AUTO-DND AUCTION HOUSE
function GoH_Settings_AutoDND_Auction_House_OnClick()

		GoH5_DeathKnight_SavedVariables();

	    if GoHv5_DeathKnight_Data.config.AutoDND_Auction_House == "NO" then
	    	GoHv5_DeathKnight_Data.config.AutoDND_Auction_House = "YES"
			PlaySound("igMainMenuOptionCheckBoxOn");
	    else
	    	GoHv5_DeathKnight_Data.config.AutoDND_Auction_House = "NO"
			PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_AutoDND_Auction_House_Whisper_Reply_Button_Images();
end

-- SETTINGS OPTION:  AUTO-DND IN COMBAT
function GoH_Settings_AutoDND_In_Combat_OnClick()

		GoH5_DeathKnight_SavedVariables();

	    if GoHv5_DeathKnight_Data.config.AutoDND_In_Combat == "NO" then
			PlaySound("igMainMenuOptionCheckBoxOn");
	    	GoHv5_DeathKnight_Data.config.AutoDND_In_Combat = "YES"
	    else
	    	GoHv5_DeathKnight_Data.config.AutoDND_In_Combat = "NO"
			PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_AutoDND_In_Combat_Whisper_Reply_Button_Images();
end

-- SETTINGS OPTION:  AUTO-DND AUCTION HOUSE WHISPER REPLY
function GoH_Settings_AutoDND_Auction_House_Whisper_Reply_OnClick()

		GoH5_DeathKnight_SavedVariables();

	    if GoHv5_DeathKnight_Data.config.AutoDND_Auction_House_Send_Whisper_Reply == "NO" then
	    	GoHv5_DeathKnight_Data.config.AutoDND_Auction_House_Send_Whisper_Reply = "YES"
			PlaySound("igMainMenuOptionCheckBoxOn");
	    else
	    	GoHv5_DeathKnight_Data.config.AutoDND_Auction_House_Send_Whisper_Reply = "NO"
			PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_AutoDND_Auction_House_Whisper_Reply_Button_Images();
end


-- SETTINGS OPTION:  AUTO-DND IN COMBAT WHISPER REPLY
function GoH_Settings_AutoDND_In_Combat_Whisper_Reply_OnClick()

		GoH5_DeathKnight_SavedVariables();

	    if GoHv5_DeathKnight_Data.config.AutoDND_In_Combat_Send_Whisper_Reply == "NO" then
	    	GoHv5_DeathKnight_Data.config.AutoDND_In_Combat_Send_Whisper_Reply = "YES"
			PlaySound("igMainMenuOptionCheckBoxOn");
	    else
	    	GoHv5_DeathKnight_Data.config.AutoDND_In_Combat_Send_Whisper_Reply = "NO"
			PlaySound("igMainMenuOptionCheckBoxOff");
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_AutoDND_In_Combat_Whisper_Reply_Button_Images();
end

-- SETTINGS SHOW MINIMAP ICON
function GoH_Settings_MenuButton_ShowMinimapIcon_OnClick()
	    if GoHv5_DeathKnight_Data.config.Show_Minimap_Icon == "NO" then
	    	GoHv5_DeathKnight_Data.config.Show_Minimap_Icon = "YES"
	    	PlaySound("igMainMenuOptionCheckBoxOn");
	    	GoH_MinimapButton:Show();
	    else
	    	GoHv5_DeathKnight_Data.config.Show_Minimap_Icon = "NO"
	    	PlaySound("igMainMenuOptionCheckBoxOff");
	    	GoH_MinimapButton:Hide();
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Settings_Set_Menu_Button_Images();
end



-- ###################################################################################################
-- ###################################################################################################
-- THIS NEXT FUNCTION IS WHERE ALL YOUR SPELL IMAGES AND TEXT ARE CALLED, SET AND REFRESHED.
-- PUT ALL OF YOUR DEATH KNIGHT SPELLS WITHIN SO YOU JUST NEED TO CALL ONE FUNCTION TO REFRESH ALL.
-- BASICALLY EVERY SPELL YOU ADD ABOVE WILL BE WITHIN THE FUNCTION BELOW AND EVERY SPELL ABOVE WILL CALL
-- THE FUNCTION BELOW. EVERY TIME YOU CHECK SOMETHING IN THE DEATH KNIGHT MENU, BELOW WILL REFRESH IT ALL.
-- ###################################################################################################
-- ###################################################################################################
function GoH_Settings_Set_Menu_Button_Images()

	GoH5_DeathKnight_SavedVariables();

	-- GoH_Settings_Set_AutoDecline_Whisper_Reply_Images();
	doSet_Menu_Button_Images();
	-- GoH_Settings_Set_AutoDND_In_Combat_Whisper_Reply_Button_Images();
	-- GoH_Settings_Set_AutoDND_Auction_House_Whisper_Reply_Button_Images();

	-- ###################################################################################################
	-- ###################################################################################################
	-- SHOW OR HIDE THE MINIMAP ICON
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_SHOW_MINIMAP_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_SHOW_MINIMAP_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_SHOW_MINIMAP_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Show_Minimap_Icon == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_SHOW_MINIMAP_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Settings_Show_Minimap_Icon_Text:SetText("|cFF00AA00Show Minimap Icon?|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_SHOW_MINIMAP_ICON:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Show_Minimap_Icon_Text:SetText("|cFFFF0000Show Minimap Icon?|r");

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- AUTODECLINE DUEL REQUESTS
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_AUTODECLINE_DUEL_REQUESTS:SetHighlightTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_ON");
	GoH_SETTINGS_AUTODECLINE_DUEL_REQUESTS:SetPushedTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_ON");
	GoH_SETTINGS_AUTODECLINE_DUEL_REQUESTS:SetDisabledTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_OFF");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Block_Duel_Requests == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_AUTODECLINE_DUEL_REQUESTS:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_ON");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_AUTODECLINE_DUEL_REQUESTS:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_OFF");

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- AUTODECLINE ARENA TEAM INVITE REQUESTS
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_AUTODECLINE_ARENA_TEAM_INVITES:SetHighlightTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_ON");
	GoH_SETTINGS_AUTODECLINE_ARENA_TEAM_INVITES:SetPushedTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_ON");
	GoH_SETTINGS_AUTODECLINE_ARENA_TEAM_INVITES:SetDisabledTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_OFF");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Block_Arena_Invites == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_AUTODECLINE_ARENA_TEAM_INVITES:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_ON");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_AUTODECLINE_ARENA_TEAM_INVITES:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_OFF");

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- AUTODECLINE GROUP PARTY INVITE REQUESTS
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_AUTODECLINE_PARTY_INVITES:SetHighlightTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_ON");
	GoH_SETTINGS_AUTODECLINE_PARTY_INVITES:SetPushedTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_ON");
	GoH_SETTINGS_AUTODECLINE_PARTY_INVITES:SetDisabledTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_OFF");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Block_Party_Invites == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_AUTODECLINE_PARTY_INVITES:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_ON");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_AUTODECLINE_PARTY_INVITES:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_OFF");

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- AUTODECLINE CHARTER PETITION REQUESTS
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_AUTODECLINE_CHARTER_REQUESTS:SetHighlightTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_ON");
	GoH_SETTINGS_AUTODECLINE_CHARTER_REQUESTS:SetPushedTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_ON");
	GoH_SETTINGS_AUTODECLINE_CHARTER_REQUESTS:SetDisabledTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_OFF");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Block_Charter_Petitions == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_AUTODECLINE_CHARTER_REQUESTS:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_ON");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_AUTODECLINE_CHARTER_REQUESTS:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_OFF");

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- PLAY FATALITY SOUND
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_FATALITY_SOUND:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_FATALITY_SOUND:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_FATALITY_SOUND:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Menu_Fatality_Sound == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_FATALITY_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Settings_Play_Fatality_Sound_Text:SetText("|cFF00AA00Play 'Fatality!' Sound|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_FATALITY_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Play_Fatality_Sound_Text:SetText("|cFFFF0000Play 'Fatality!' Sound|r");

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- PLAY FIGHT SOUND
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_FIGHT_SOUND:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_FIGHT_SOUND:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_FIGHT_SOUND:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Menu_Fight_Sound == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_FIGHT_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Settings_Play_Fight_Sound_Text:SetText("|cFF00AA00Play 'Fight!' Sound|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_FIGHT_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Play_Fight_Sound_Text:SetText("|cFFFF0000Play 'Fight!' Sound|r");

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- PLAY FIGHT MUSIC
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_FIGHT_MUSIC:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_FIGHT_MUSIC:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_FIGHT_MUSIC:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Menu_Fight_Music == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_FIGHT_MUSIC:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Settings_Play_Fight_Music_Text:SetText("|cFF00AA00Play 'Fight!' Music|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_FIGHT_MUSIC:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Play_Fight_Music_Text:SetText("|cFFFF0000Play 'Fight!' Music|r");

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- PLAY OPEN AND CLOSE MENU SOUNDS
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_OPEN_AND_CLOSE_SOUND:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_OPEN_AND_CLOSE_SOUND:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SETTINGS_PLAY_OPEN_AND_CLOSE_SOUND:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Menu_OpenClose_Sounds == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_OPEN_AND_CLOSE_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Settings_Play_Open_and_Close_Sounds_Text:SetText("|cFF00AA00Play 'Menu' Sounds|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_OPEN_AND_CLOSE_SOUND:SetNormalTexture("interface\\raidframe\\readycheck-notready.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Play_Open_and_Close_Sounds_Text:SetText("|cFFFF0000Play 'Menu' Sounds|r");

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- HUMAN RACIAL - EVERY MAN FOR HIMSELF
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_HUMANRACIAL_SOUND:SetHighlightTexture(Human_Every_Man_For_Himself_Icon);
	GoH_SETTINGS_PLAY_HUMANRACIAL_SOUND:SetPushedTexture(Human_Every_Man_For_Himself_Icon);
	GoH_SETTINGS_PLAY_HUMANRACIAL_SOUND:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Every_Man_For_Himself == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_HUMANRACIAL_SOUND:SetNormalTexture(Human_Every_Man_For_Himself_Icon);
		-- CHANGE THE TEXT TO GREEN
		Settings_Play_HumanRacial_Sound_Text:SetText("|cFF00AA00" .. Human_Every_Man_For_Himself_Name .. "|r");
		-- MODIFY THE TOOLTIP
		HumanRacial_EveryManForHimself_Tooltip = ("|cFFFF0000" .. "Disable " .. Human_Every_Man_For_Himself_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_HUMANRACIAL_SOUND:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Play_HumanRacial_Sound_Text:SetText("|cFFFF0000" .. Human_Every_Man_For_Himself_Name .. "|r");
		-- MODIFY THE TOOLTIP
		HumanRacial_EveryManForHimself_Tooltip = ("|cFF00AA00" .. "Enable " .. Human_Every_Man_For_Himself_Name .. "?" .. "|r")

	end
	-- CHECK FOR YOUR RACE AND HIDE IF NOT HUMAN
	if GoH_DeathKnight.Race == "Human" then
		GoH_SETTINGS_PLAY_HUMANRACIAL_SOUND:Enable();
		GoH_SETTINGS_PLAY_HUMANRACIAL_SOUND:Show();
		Settings_Play_HumanRacial_Sound_Text:Show();
	else
		GoH_SETTINGS_PLAY_HUMANRACIAL_SOUND:Disable();
		GoH_SETTINGS_PLAY_HUMANRACIAL_SOUND:Hide();
		Settings_Play_HumanRacial_Sound_Text:Hide();
	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- NIGHTELF RACIAL - SHADOWMELD
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_PLAY_NIGHTELFRACIAL_SOUND:SetHighlightTexture(NightElf_Racial_Shadowmeld_Icon);
	GoH_SETTINGS_PLAY_NIGHTELFRACIAL_SOUND:SetPushedTexture(NightElf_Racial_Shadowmeld_Icon);
	GoH_SETTINGS_PLAY_NIGHTELFRACIAL_SOUND:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.NightElf_Racial_Shadowmeld == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_PLAY_NIGHTELFRACIAL_SOUND:SetNormalTexture(NightElf_Racial_Shadowmeld_Icon);
		-- CHANGE THE TEXT TO GREEN
		Settings_Play_NightElfRacial_Sound_Text:SetText("|cFF00AA00" .. NightElf_Racial_Shadowmeld_Name .. "|r");
		-- MODIFY THE TOOLTIP
		NightElfRacial_ShadowMeld_Tooltip = ("|cFFFF0000" .. "Disable " .. NightElf_Racial_Shadowmeld_Name .. "?" .. "|r")

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_PLAY_NIGHTELFRACIAL_SOUND:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		Settings_Play_NightElfRacial_Sound_Text:SetText("|cFFFF0000" .. NightElf_Racial_Shadowmeld_Name .. "|r");
		-- MODIFY THE TOOLTIP
		NightElfRacial_ShadowMeld_Tooltip = ("|cFF00AA00" .. "Enable " .. NightElf_Racial_Shadowmeld_Name .. "?" .. "|r")

	end
	-- CHECK FOR YOUR RACE AND HIDE IF NOT HUMAN
	if GoH_DeathKnight.Race == "NightElf" then
		GoH_SETTINGS_PLAY_NIGHTELFRACIAL_SOUND:Enable();
		GoH_SETTINGS_PLAY_NIGHTELFRACIAL_SOUND:Show();
		Settings_Play_NightElfRacial_Sound_Text:Show();
	else
		GoH_SETTINGS_PLAY_NIGHTELFRACIAL_SOUND:Disable();
		GoH_SETTINGS_PLAY_NIGHTELFRACIAL_SOUND:Hide();
		Settings_Play_NightElfRacial_Sound_Text:Hide();
	end
	-- ###################################################################################################

end

function doSet_Menu_Button_Images()

	GoH5_DeathKnight_SavedVariables();

	-- ###################################################################################################
	-- AUTODECLINE TRADE REQUESTS
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_AUTODECLINE_TRADE_REQUESTS:SetHighlightTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_ON");
	GoH_SETTINGS_AUTODECLINE_TRADE_REQUESTS:SetPushedTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_ON");
	GoH_SETTINGS_AUTODECLINE_TRADE_REQUESTS:SetDisabledTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_OFF");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Block_Trade_Requests == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_AUTODECLINE_TRADE_REQUESTS:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_ON");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_AUTODECLINE_TRADE_REQUESTS:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_OFF");

	end
	-- ###################################################################################################
	-- ###################################################################################################
	-- AUTODECLINE GUILD INVITES
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_AUTODECLINE_GUILD_INVITES:SetHighlightTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_ON");
	GoH_SETTINGS_AUTODECLINE_GUILD_INVITES:SetPushedTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_ON");
	GoH_SETTINGS_AUTODECLINE_GUILD_INVITES:SetDisabledTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_OFF");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Block_Guild_Invites == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_AUTODECLINE_GUILD_INVITES:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_ON");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_AUTODECLINE_GUILD_INVITES:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_OFF");

	end
	-- ###################################################################################################

end

function GoH_Settings_Set_AutoDecline_Whisper_Reply_Images()

	GoH5_DeathKnight_SavedVariables();

	-- ###################################################################################################
	-- AUTODECLINE SEND WHISPER REPLY
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SETTINGS_AUTODECLINE_WHISPER_REPLY:SetHighlightTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_ON");
	GoH_SETTINGS_AUTODECLINE_WHISPER_REPLY:SetPushedTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_ON");
	GoH_SETTINGS_AUTODECLINE_WHISPER_REPLY:SetDisabledTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_OFF");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Send_AutoDecline_Whisper == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SETTINGS_AUTODECLINE_WHISPER_REPLY:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_ON");

	    	GoH5_EditBox_Whisper_Reply_Message:Enable();
	    	GoH5_EditBox_Whisper_Reply_Message:SetTextColor(1.0, 1.0, 1.0);
			GoH5_EditBox_Whisper_Reply_Message:SetFocus(); GoH5_EditBox_Whisper_Reply_Message:EnableKeyboard(true);

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SETTINGS_AUTODECLINE_WHISPER_REPLY:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_AutoDecline_OFF");

	    	GoH5_EditBox_Whisper_Reply_Message:SetTextColor(1.0, 0.0, 0.0);
	    	GoH5_EditBox_Whisper_Reply_Message:Disable();

	end
	-- ###################################################################################################

end

function GoH_Settings_Set_AutoDND_Auction_House_Whisper_Reply_Button_Images()

	GoH5_DeathKnight_SavedVariables();

        -- ###################################################################################################
		--     GOH SETTINGS OPTION - AUTODND AUCTION HOUSE
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_DND_AUCTION_HOUSE_WHISTPER_ICON:SetHighlightTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Emote_HOVER");
		GoH_DEATHKNIGHT_DND_AUCTION_HOUSE_WHISTPER_ICON:SetPushedTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Emote_HOVER");
		GoH_DEATHKNIGHT_DND_AUCTION_HOUSE_WHISTPER_ICON:SetDisabledTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Emote_OFF");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.AutoDND_Auction_House_Send_Whisper_Reply == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_DND_AUCTION_HOUSE_WHISTPER_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Emote_ON");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_DND_AUCTION_HOUSE_WHISTPER_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Emote_OFF");

		end
        -- ###################################################################################################

        -- ###################################################################################################
		--     GOH SETTINGS OPTION - AUTODND AUCTION HOUSE
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_DND_AUCTION_HOUSE_ICON:SetHighlightTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_DND_AuctionHouse_HOVER");
		GoH_DEATHKNIGHT_DND_AUCTION_HOUSE_ICON:SetPushedTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_DND_AuctionHouse_HOVER");
		GoH_DEATHKNIGHT_DND_AUCTION_HOUSE_ICON:SetDisabledTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_DND_AuctionHouse_OFF");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.AutoDND_Auction_House == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_DND_AUCTION_HOUSE_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_DND_AuctionHouse_ON");
	    	GoH5_EditBox_Settings_Auction_House_Reply:Enable();
	    	GoH5_EditBox_Settings_Auction_House_Reply:SetTextColor(1.0, 1.0, 1.0);
			GoH_DEATHKNIGHT_DND_AUCTION_HOUSE_WHISTPER_ICON:Enable();
			GoH5_EditBox_Settings_Auction_House_Reply:SetFocus(); GoH5_EditBox_Settings_Auction_House_Reply:EnableKeyboard(true);
			if (GoHv5_DeathKnight_Data.config.AutoDND_Auction_House_Send_Whisper_Reply == "NO") then
					-- CHANGE THE ICON TO DISABLED
					GoH_DEATHKNIGHT_DND_AUCTION_HOUSE_WHISTPER_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Emote_OFF");

					GoH5_EditBox_Settings_Auction_House_Reply:SetTextColor(1.0, 0.0, 0.0);
					GoH5_EditBox_Settings_Auction_House_Reply:Disable();
			end
		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_DND_AUCTION_HOUSE_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_DND_AuctionHouse_OFF");
	    	GoH5_EditBox_Settings_Auction_House_Reply:SetTextColor(0.3, 0.3, 0.3);
	    	GoH5_EditBox_Settings_Auction_House_Reply:Disable();
			GoH_DEATHKNIGHT_DND_AUCTION_HOUSE_WHISTPER_ICON:Disable();

		end
        -- ###################################################################################################

end

function GoH_Settings_Set_AutoDND_In_Combat_Whisper_Reply_Button_Images()

 	GoH5_DeathKnight_SavedVariables();

       -- ###################################################################################################
		--     GOH SETTINGS OPTION - AUTODND AUCTION HOUSE
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_DND_IN_COMBAT_WHISPER_ICON:SetHighlightTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Emote_HOVER");
		GoH_DEATHKNIGHT_DND_IN_COMBAT_WHISPER_ICON:SetPushedTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Emote_HOVER");
		GoH_DEATHKNIGHT_DND_IN_COMBAT_WHISPER_ICON:SetDisabledTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Emote_OFF");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.AutoDND_In_Combat_Send_Whisper_Reply == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_DND_IN_COMBAT_WHISPER_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Emote_ON");

		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_DND_IN_COMBAT_WHISPER_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Emote_OFF");

		end
        -- ###################################################################################################

        -- ###################################################################################################
		--     GOH SETTINGS OPTION - AUTODND IN COMBAT
		-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
		GoH_DEATHKNIGHT_DND_IN_COMBAT_ICON:SetHighlightTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_DND_Combat_HOVER");
		GoH_DEATHKNIGHT_DND_IN_COMBAT_ICON:SetPushedTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_DND_Combat_HOVER");
		GoH_DEATHKNIGHT_DND_IN_COMBAT_ICON:SetDisabledTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_DND_Combat_OFF");

		-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
		if (GoHv5_DeathKnight_Data.config.AutoDND_In_Combat == "YES") then
			-- CHANGE THE ICON TO ENABLED
			GoH_DEATHKNIGHT_DND_IN_COMBAT_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_DND_Combat_ON");
	    	GoH5_EditBox_Settings_In_Combat_Reply:Enable();
	    	GoH5_EditBox_Settings_In_Combat_Reply:SetTextColor(1.0, 1.0, 1.0);
			GoH_DEATHKNIGHT_DND_IN_COMBAT_WHISPER_ICON:Enable();
			GoH5_EditBox_Settings_In_Combat_Reply:SetFocus(); GoH5_EditBox_Settings_In_Combat_Reply:EnableKeyboard(true);
			if (GoHv5_DeathKnight_Data.config.AutoDND_In_Combat_Send_Whisper_Reply == "NO") then
					-- CHANGE THE ICON TO DISABLED
					GoH_DEATHKNIGHT_DND_IN_COMBAT_WHISPER_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_Emote_OFF");

					GoH5_EditBox_Settings_In_Combat_Reply:SetTextColor(1.0, 0.0, 0.0);
					GoH5_EditBox_Settings_In_Combat_Reply:Disable();
			end
		else
			-- CHANGE THE ICON TO DISABLED
			GoH_DEATHKNIGHT_DND_IN_COMBAT_ICON:SetNormalTexture("Interface\\AddOns\\GoH\\Images\\GoH_Button_DND_Combat_OFF");
	    	GoH5_EditBox_Settings_In_Combat_Reply:SetTextColor(0.3, 0.3, 0.3);
	    	GoH5_EditBox_Settings_In_Combat_Reply:Disable();
			GoH_DEATHKNIGHT_DND_IN_COMBAT_WHISPER_ICON:Disable();

		end
        -- ###################################################################################################

end
