function GoH5_DeathKnight_DefaultVariables()

	-- Minimap SavedVariables
	GoH_MinimapIcon = {
		GoH_MinimapPos = -61 -- default position of the minimap icon in degrees
	}

       GoHv5_DeathKnight_Data = { };
        	GoHv5_DeathKnight_Data.config = { };

			GoH5_DeathKnight_SavedVariables();

end


function GoH5_DeathKnight_SavedVariables()

				-- GOH DEATHKNIGHT: UNIT IN COMBAT
	  			if GoHv5_DeathKnight_Data.config.Unit_In_Combat == nil then
					GoHv5_DeathKnight_Data.config.Unit_In_Combat = "NO";
				end

				-- GOH DEATHKNIGHT: PLAYER FRAME IN RAIDS
	  			if GoHv5_DeathKnight_Data.config.Player_Frame_In_Raids == nil then
					GoHv5_DeathKnight_Data.config.Player_Frame_In_Raids = "NO";
				end

				-- GOH DEATHKNIGHT: SHOW PLAYER FRAMES
	  			if GoHv5_DeathKnight_Data.config.Show_Player_Frames == nil then
					GoHv5_DeathKnight_Data.config.Show_Player_Frames = "NO";
				end

				-- GOH DEATHKNIGHT: ENABLE PLAYER FRAMES
	  			if GoHv5_DeathKnight_Data.config.Enable_Player_Frames == nil then
					GoHv5_DeathKnight_Data.config.Enable_Player_Frames = "NO";
				end

				-- GOH DEATHKNIGHT: SHOW END CAPS
	  			if GoHv5_DeathKnight_Data.config.Show_End_Caps == nil then
					GoHv5_DeathKnight_Data.config.Show_End_Caps = "NO";
				end

				-- GOH DEATHKNIGHT: ENABLE END CAPS
	  			if GoHv5_DeathKnight_Data.config.Enable_End_Caps == nil then
					GoHv5_DeathKnight_Data.config.Enable_End_Caps = "NO";
				end

				-- GOH MENU: SHOW OR HIDE THE MINIMAP ICON
	  			if GoHv5_DeathKnight_Data.config.Show_Minimap_Icon == nil then
					GoHv5_DeathKnight_Data.config.Show_Minimap_Icon = "YES";
				end

				-- GOH AUTO DECLINE: CHARTER PETITIONS
	  			if GoHv5_DeathKnight_Data.config.Block_Charter_Petitions == nil then
					GoHv5_DeathKnight_Data.config.Block_Charter_Petitions = "NO";
				end

				-- GOH AUTO DECLINE: GUILD INVITES
	  			if GoHv5_DeathKnight_Data.config.Block_Guild_Invites == nil then
					GoHv5_DeathKnight_Data.config.Block_Guild_Invites = "NO";
				end

				-- GOH AUTO DECLINE: PARTY INVITES
	  			if GoHv5_DeathKnight_Data.config.Block_Party_Invites == nil then
					GoHv5_DeathKnight_Data.config.Block_Party_Invites = "NO";
				end

				-- GOH AUTO DECLINE: ARENA INVITES
	  			if GoHv5_DeathKnight_Data.config.Block_Arena_Invites == nil then
					GoHv5_DeathKnight_Data.config.Block_Arena_Invites = "NO";
				end

				-- GOH AUTO DECLINE: DUEL REQUESTS
	  			if GoHv5_DeathKnight_Data.config.Block_Duel_Requests == nil then
					GoHv5_DeathKnight_Data.config.Block_Duel_Requests = "NO";
				end

				-- GOH AUTO DECLINE: TRADE REQUESTS
	  			if GoHv5_DeathKnight_Data.config.Block_Trade_Requests == nil then
					GoHv5_DeathKnight_Data.config.Block_Trade_Requests = "NO";
				end

				-- GOH AUTO DECLINE: SEND REPLY WHISPER
	  			if GoHv5_DeathKnight_Data.config.Send_AutoDecline_Whisper == nil then
					GoHv5_DeathKnight_Data.config.Send_AutoDecline_Whisper = "NO";
				end

				-- GOH AUTO DECLINE: REPLY WHISPER MESSAGE
	  			if GoHv5_DeathKnight_Data.config.AutoDecline_Whisper_Message == nil then
					GoHv5_DeathKnight_Data.config.AutoDecline_Whisper_Message = "Your request has been automatically declined.";
				end

				-- GOH AUTO DND: AUCTION HOUSE
	  			if GoHv5_DeathKnight_Data.config.AutoDND_Auction_House == nil then
					GoHv5_DeathKnight_Data.config.AutoDND_Auction_House = "NO";
				end

				-- GOH AUTO DND: AUCTION HOUSE - SEND AUTO REPLY WHISPER
	  			if GoHv5_DeathKnight_Data.config.AutoDND_Auction_House_Send_Whisper_Reply == nil then
					GoHv5_DeathKnight_Data.config.AutoDND_Auction_House_Send_Whisper_Reply = "NO";
				end

				-- GOH AUTO DND: AUCTION HOUSE - REPLY WHISPER MESSAGE
	  			if GoHv5_DeathKnight_Data.config.AutoDND_Auction_House_Whisper_Message == nil then
					GoHv5_DeathKnight_Data.config.AutoDND_Auction_House_Whisper_Message = "I'm busy at the moment, sorry.";
				end

				-- GOH AUTO DND: IN COMBAT
	  			if GoHv5_DeathKnight_Data.config.AutoDND_In_Combat == nil then
					GoHv5_DeathKnight_Data.config.AutoDND_In_Combat = "NO";
				end

				-- GOH AUTO DND: IN COMBAT - SEND AUTO REPLY WHISPER
	  			if GoHv5_DeathKnight_Data.config.AutoDND_In_Combat_Send_Whisper_Reply == nil then
					GoHv5_DeathKnight_Data.config.AutoDND_In_Combat_Send_Whisper_Reply = "NO";
				end

				-- GOH AUTO DND: IN COMBAT - REPLY WHISPER MESSAGE
	  			if GoHv5_DeathKnight_Data.config.AutoDND_In_Combat_Whisper_Message == nil then
					GoHv5_DeathKnight_Data.config.AutoDND_In_Combat_Whisper_Message = "I'm in combat at the moment, sorry.";
				end

				-- GOH TIMER
	  			if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == nil then
					GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "YES";
				end
				-- GOH TIMER
	  			if GoHv5_DeathKnight_Data.config.GoH_Timer_Time == nil then
					GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
				end


				-- BEGIN DEATH KNIGHT SPELL SETTINGS
	  			if GoHv5_DeathKnight_Data.config.Death_Grip == nil then
					GoHv5_DeathKnight_Data.config.Death_Grip = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Horn_of_Winter == nil then
					GoHv5_DeathKnight_Data.config.Horn_of_Winter = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Death_and_Decay == nil then
					GoHv5_DeathKnight_Data.config.Death_and_Decay = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Defile == nil then
					GoHv5_DeathKnight_Data.config.Defile = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Outbreak == nil then
					GoHv5_DeathKnight_Data.config.Outbreak = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Blood_Tap == nil then
					GoHv5_DeathKnight_Data.config.Blood_Tap = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Death_Coil == nil then
					GoHv5_DeathKnight_Data.config.Death_Coil = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Empower_Rune_Weapon == nil then
					GoHv5_DeathKnight_Data.config.Empower_Rune_Weapon = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Icebound_Fortitude == nil then
					GoHv5_DeathKnight_Data.config.Icebound_Fortitude = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Blood_Presence == nil then
					GoHv5_DeathKnight_Data.config.Blood_Presence = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Frost_Presence == nil then
					GoHv5_DeathKnight_Data.config.Frost_Presence = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Unholy_Presence == nil then
					GoHv5_DeathKnight_Data.config.Unholy_Presence = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.AntiMagic_Shell == nil then
					GoHv5_DeathKnight_Data.config.AntiMagic_Shell = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.AntiMagic_Zone == nil then
					GoHv5_DeathKnight_Data.config.AntiMagic_Zone = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Raise_Ally == nil then
					GoHv5_DeathKnight_Data.config.Raise_Ally = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Void_Touch_Debuff == nil then
					GoHv5_DeathKnight_Data.config.Void_Touch_Debuff = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Raise_Dead == nil then
					GoHv5_DeathKnight_Data.config.Raise_Dead = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Army_of_the_Dead == nil then
					GoHv5_DeathKnight_Data.config.Army_of_the_Dead = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Summon_Gargoyle == nil then
					GoHv5_DeathKnight_Data.config.Summon_Gargoyle = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Death_Pact == nil then
					GoHv5_DeathKnight_Data.config.Death_Pact = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Dark_Transformation == nil then
					GoHv5_DeathKnight_Data.config.Dark_Transformation = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Strangulate == nil then
					GoHv5_DeathKnight_Data.config.Strangulate = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Mind_Freeze == nil then
					GoHv5_DeathKnight_Data.config.Mind_Freeze = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Blood_Boil == nil then
					GoHv5_DeathKnight_Data.config.Blood_Boil = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Dark_Command == nil then
					GoHv5_DeathKnight_Data.config.Dark_Command = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Bone_Shield == nil then
					GoHv5_DeathKnight_Data.config.Bone_Shield = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Unholy_Blight == nil then
					GoHv5_DeathKnight_Data.config.Unholy_Blight = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Chains_of_Ice == nil then
					GoHv5_DeathKnight_Data.config.Chains_of_Ice = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Dark_Simulation == nil then
					GoHv5_DeathKnight_Data.config.Dark_Simulation = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Icy_Touch == nil then
					GoHv5_DeathKnight_Data.config.Icy_Touch = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Path_of_Frost == nil then
					GoHv5_DeathKnight_Data.config.Path_of_Frost = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Dancing_Rune_Weapon == nil then
					GoHv5_DeathKnight_Data.config.Dancing_Rune_Weapon = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Asphyxiate == nil then
					GoHv5_DeathKnight_Data.config.Asphyxiate = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Every_Man_For_Himself == nil then
					GoHv5_DeathKnight_Data.config.Every_Man_For_Himself = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Deaths_Advance == nil then
					GoHv5_DeathKnight_Data.config.Deaths_Advance = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Remorseless_Winter == nil then
					GoHv5_DeathKnight_Data.config.Remorseless_Winter = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Gorfiends_Grasp == nil then
					GoHv5_DeathKnight_Data.config.Gorfiends_Grasp = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Stupid_Login_Sound == nil then
					GoHv5_DeathKnight_Data.config.Stupid_Login_Sound = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Menu_OpenClose_Sounds == nil then
					GoHv5_DeathKnight_Data.config.Menu_OpenClose_Sounds = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.GoH_MenuOpenedAlready == nil then
					GoHv5_DeathKnight_Data.config.GoH_MenuOpenedAlready = "NO";
				end

	  			if GoHv5_DeathKnight_Data.config.Menu_Fight_Sound == nil then
					GoHv5_DeathKnight_Data.config.Menu_Fight_Sound = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Menu_Fight_Music == nil then
					GoHv5_DeathKnight_Data.config.Menu_Fight_Music = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Menu_Fatality_Sound == nil then
					GoHv5_DeathKnight_Data.config.Menu_Fatality_Sound = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.ToCatchAFrame == nil then
					GoHv5_DeathKnight_Data.config.ToCatchAFrame = "Deathknight";
				end

	  			if GoHv5_DeathKnight_Data.config.LoggedInAsClass == nil then
					GoHv5_DeathKnight_Data.config.LoggedInAsClass = "DEATHKNIGHT";
				end

	  			if GoHv5_DeathKnight_Data.config.NightElf_Racial_Shadowmeld == nil then
					GoHv5_DeathKnight_Data.config.NightElf_Racial_Shadowmeld = "YES";
				end

	  			if GoHv5_DeathKnight_Data.config.Death_Gate == nil then
					GoHv5_DeathKnight_Data.config.Death_Gate = "YES";
				end

				-- ###### Death Charger Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Acherus_Deathcharger == nil then
					GoHv5_DeathKnight_Data.config.Acherus_Deathcharger = "YES";
				end

				-- ###### Ebon Blade Sound - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Winged_Steed_of_the_Ebon_Blade == nil then
					GoHv5_DeathKnight_Data.config.Winged_Steed_of_the_Ebon_Blade = "YES";
				end

				-- ###### Use Death Charger Name - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Acherus_Deathcharger_UseName == nil then
					GoHv5_DeathKnight_Data.config.Acherus_Deathcharger_UseName = "NO";
				end

				-- ###### Use Ebon Blade Name - YES or NO
	  			if GoHv5_DeathKnight_Data.config.Winged_Steed_of_the_Ebon_Blade_UseName == nil then
					GoHv5_DeathKnight_Data.config.Winged_Steed_of_the_Ebon_Blade_UseName = "NO";
				end

				-- ###### Death Charger Custom Default Name is 'Bam Bam'
	  			if GoHv5_DeathKnight_Data.config.Acherus_Deathcharger_CustomName == nil then
					GoHv5_DeathKnight_Data.config.Acherus_Deathcharger_CustomName = "Bam Bam";
				end

				-- ###### Ebon Blade Custom Default Name is 'Pebbles'
	  			if GoHv5_DeathKnight_Data.config.Winged_Steed_of_the_Ebon_Blade_CustomName == nil then
					GoHv5_DeathKnight_Data.config.Winged_Steed_of_the_Ebon_Blade_CustomName = "Pebbles";
				end

				-- ###### Blood Presence Reminder Option
	  			if GoHv5_DeathKnight_Data.config.Blood_Presence_Reminder == nil then
					GoHv5_DeathKnight_Data.config.Blood_Presence_Reminder = "NO";
				end

end