-- #######################################
-- #######################################
--       GOH DEATH KNIGHT SOUND FILES
-- #######################################
-- #######################################


-- GUI OPEN BUTTON CLICK
function Play_DeathKnight_GUI_Open()
		if (GoHv5_DeathKnight_Data.config.Menu_OpenClose_Sounds == "YES") and (GoHv5_DeathKnight_Data.config.GoH_MenuOpenedAlready == "NO") then
				-- BEHOLD THE TOOLS OF CREATION
				PlaySoundFile("Sound\\Creature\\AlgalonTheObserver\\UR_Algalon_Special02.ogg","Master")
		end
end

-- GUI CLOSE BUTTON CLICK
function Play_DeathKnight_GUI_Close()
		if (GoHv5_DeathKnight_Data.config.Menu_OpenClose_Sounds == "YES") and (GoHv5_DeathKnight_Data.config.GoH_MenuOpenedAlready == "NO") then
				-- DO YOU FEAR DEATH? HA HA HA HA HA
				PlaySoundFile("Sound\\Creature\\AmbassadorHellmaw\\Auch_Helmaw_Slay01.ogg","Master")
		end
end

-- DEFAULT BUTTON SOUND
function GoH_DeathKnight_Default_Button_Sound()
		--DEFAULT CLICK SOUND
		PlaySound("GLUECHECKBOXMOUSEOVER","Master");
end


-- RANDOM DEATHGRIP SOUND
function Play_Random_DEATHGRIP_Sound()

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_DeathKnight_Data.config.Death_Grip == "YES") then

		-- CALL RANDOM MATH GENERATOR
		-- See the number 4, that means you will need four sound files.
		-- If you want 7, change that number to 7. If you want less, change it to less.
		GoH_DeathKnight.NumberRandom = math.random(5);

		-- USE RANDOM MATH GENERATED RESULT
		if (GoH_DeathKnight.NumberRandom == 1) then

					if (GoH_DeathKnight.Gender == "Male") then
						GoH_DeathKnight.NumberRandom = math.random(3);
						if (GoH_DeathKnight.NumberRandom == 1) then
							-- play first sound (male) A
							PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Come_Here2_Male.mp3","Master");
						elseif (GoH_DeathKnight.NumberRandom == 2) then
							-- play first sound (male) B
							PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Come_Here_Male.mp3","Master");
						elseif (GoH_DeathKnight.NumberRandom == 3) then
							-- play first sound (male) C
							PlaySoundFile("Sound\\Creature\\HeadlessHorseMan\\Horseman_Beckon_01.ogg","Master");
						end
					else
						-- play first sound (female)
						PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Come_Here_Female.mp3","Master");
					end

		elseif (GoH_DeathKnight.NumberRandom == 2) then

					if (GoH_DeathKnight.Gender == "Male") then
						GoH_DeathKnight.NumberRandom = math.random(2);
						if (GoH_DeathKnight.NumberRandom == 1) then
							-- play second sound (male) A
							PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Get_Over_here2_Male.mp3","Master");
						elseif (GoH_DeathKnight.NumberRandom == 2) then
							-- play second sound (male) B
							PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Get_Over_here_Male.mp3","Master");
						end
					else
						-- play second sound (female)
						PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Get_Over_here_Female.mp3","Master");
					end

		elseif (GoH_DeathKnight.NumberRandom == 3) then

			-- play third sound
			PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Get_Over_Here_Bitch_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

		elseif (GoH_DeathKnight.NumberRandom == 4) then

			-- play forth sound
			PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Get_The_Fuck_Over_Here_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

		elseif (GoH_DeathKnight.NumberRandom == 5) then

			-- play fifth sound
			PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Gotcha_" .. GoH_DeathKnight.Gender .. ".mp3","Master");

		end

	end

end


